namespace DragonVideoPlayer
{


    public partial class argument_window : Form
    {

        String _arg = "";
        public argument_window(String arg)
        {
            _arg = arg;

            InitializeUI();
            this.Load += Form1_Load;
        }


        private void InitializeUI()
        {
            // フォーム設定（InfoForm）
            this.Text = "mpv.exeの起動引数";
            this.Width = 600;
            this.Height = 500;


            //String label_txt = "動画情報" + Environment.NewLine;



            TextBox main_text = new TextBox();

            if (string.IsNullOrEmpty(_arg) == false)
            {
                main_text.Text = _arg;
            }


            main_text.Location = new Point(10, 10);
            main_text.Width = 500;
            main_text.Height = 400;
            main_text.ReadOnly = true;
            main_text.Multiline = true;
            main_text.AutoSize = true;          // 文字サイズに合わせる
            main_text.Font = new Font("Yu Gothic UI", 12);
            main_text.ForeColor = Color.Black;
            // フォームに追加



            this.Controls.Add(main_text);

        }
        private async void Form1_Load(object sender, EventArgs e)
        {


        }



    }
}